Subject: Re: [Linux-ATM-General] [RFC][PATCH] Very basic sysfs support for ATM devices (updated)

From: Roman Kagan <[email-masked]>
Date: Mon, 7 Feb 2005 12:45:18 +0300

On Mon, Feb 07, 2005 at 10:03:08AM +0100, Duncan Sands wrote:
> this is a long-standing problem with ATM device initialisation: the device
> becomes available before the struct atm_dev is initialised!
> [...]
> In the past, this race was only a theoretical
> problem for SMP machines; but with your patch it hits everyone.

Indeed.  OTOH at a first glance splitting the ATM device initialisation
API into allocation and registration doesn't look a terribly difficult
thing, it would require fairly local changes in the drivers.

Unless Chas' move to struct net_device is alredy knocking on the door,
of course.

Cheers,
  Roman.